org.red5.server.net.rtmp

## Class DeferredResult

- java.lang.Object
- - org.red5.server.net.rtmp.DeferredResult

    public class DeferredResult
    extends Object

Can be returned to delay returning the result of invoked methods.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Field Summary

Fields
`protected static org.slf4j.Logger` `log` Logger

### Constructor Summary

Constructors
Constructor and Description
`DeferredResult()`

### Method Summary

Methods
`void` `setChannel(Channel channel)` Setter for channel.
`void` `setInvokeId(int id)` Setter for invoke Id.
`void` `setResult(Object result)` Set the result of a method call and send to the caller.
`void` `setServiceCall(IPendingServiceCall call)` Setter for service call.
`boolean` `wasSent()` Check if the result has been sent to the client.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static org.slf4j.Logger log

Logger

### Constructor Detail

#### DeferredResult

    public DeferredResult()

### Method Detail

#### setResult

    public void setResult(Object result)

Set the result of a method call and send to the caller.

Parameters:
  `result` - deferred result of the method call

#### wasSent

    public boolean wasSent()

Check if the result has been sent to the client.

Returns:
  `true` if the result has been sent, otherwise `false`

#### setInvokeId

    public void setInvokeId(int id)

Setter for invoke Id.

Parameters:
  `id` - Invocation object identifier

#### setServiceCall

    public void setServiceCall(IPendingServiceCall call)

Setter for service call.

Parameters:
  `call` - Service call

#### setChannel

    public void setChannel(Channel channel)

Setter for channel.

Parameters:
  `channel` - Channel